v1.12.6 - 2026-01-03
--------------------
Chema Gonzalez (7):
      Y4M loader: add support for 10-bit 4:4:4
      Y4M loader: add support for 10-bit 4:2:2
      Y4M loader: add example for 8-bit mono
      Y4M loader: add support for 10-bit mono
      Y4M loader: fix support for full-range mono
      Y4M loader: fix support for odd dimensions
      Y4M loader: add support for 12/14/16-bit mono

Kim Woelders (14):
      test/images: Remove intermediate generated file
      imlib2_view: Set title
      imlib2_view: Scale image when resizing window
      imlib2_view: A couple of fixes to previous commit
      test_load_2: Add new y4m test images
      test_load_2: Add more new y4m test images
      test_load_2: Add more new y4m test images
      autofoo: Use AM_LIBTOOLFLAGS, not LIBTOOLFLAGS
      gradients: Fix rendering of gradients in larger images
      imlib2_conv: Fix constness warning
      gradients: Better gradients with angles
      Compile cleanly with -Wdouble-promotion
      XPM loader: Add missing progress callback on incomplete image data
      v1.12.6

v1.12.5 - 2025-04-06
--------------------
Kim Woelders (8):
      autofoo: Optionally link modules with libImlib2.la
      autofoo: Some defaults for RTLD_LOCAL support
      blend: Fixup after "blend: Rename some variables for clarity"
      test: Add test_scale_2
      autofoo: Use pkg-config for libyuv if available
      autofoo: Cosmetics
      autofoo: Enable RTLD_LOCAL support by default
      v1.12.5

NRK (1):
      autofoo: fix libyuv detection

v1.12.4 - 2025-03-15
--------------------
Chema Gonzalez (1):
      Y4M loader: add support for images with no framerate info

Kim Woelders (49):
      imlib2_view: Toggle anti-alias flag on 'a'
      test_load_2: Add another y4m test image
      scaling: Fix potential crash when scaling large images
      test_grab: Work around linewidth=0 bug
      test: Enable skipping tests for specific files
      test: By default skip CRC checks on jxl images
      test: Colorize Skip message
      SVG loader: Suppress warning
      test: Enable skipping loader flushing
      test: Correct CFLAGS when building with alternative library packages
      test_load_2: Adjustment for libheif-1.19.x
      imlib2_load/view: Show image alpha status too
      imlib2_load/view: Add -h option for help
      imlib2_conv: Optionally produce scaled image
      imlib2_conv: Optionally render image on background before saving
      test: Change test images
      savers: Add common save parameter handler
      HEIF saver: Add one
      scale: Rearrange some variable declarations
      scale/blend: Add some missing consts
      blend: Some mostly cosmetic changes
      blend: Rename some variables for clarity
      loaders: Fix gcc15 warnings
      test: Make top-level clean clean test too
      SVG loader: Handle .svgz too
      test: Fix top-level distclean
      PNG loader: Debug printout tweaks
      image: Trivial simplification
      image: Add optional alpha check requested by loaders
      SVG loader: Check alpha in pixel data
      imlib2_view: Optionally show crc32 of image data
      test: Some trivial ouput tweaks
      test: Change many no-alpha test images to not have alpha data
      test: Corrections after no-alpha update
      GIF loader: Fix minor issue when loading transparent gifs
      test: Add transparent gif check
      Y4M Loader: Trivial simplification
      autofoo: Make building demo programs optional (default enabled)
      autofoo: No longer link modules with libImlib2.la
      test_save: Add qoi
      specs: Optionally build split rpms
      XBM loader: Debug printout tweaks
      AVIF loader: Indent
      AVIF saver: Add one
      HEIF loader: Demote avif support if regular avif loader is built
      test: Add basic avif test
      test: test_grab needs -lX11
      test: Avoid warnings from _FORTIFY_SOURCE
      v1.12.4

NRK (6):
      AVIF loader: add new loader based on libavif
      Y4M Loader: replace fps_{den,num} with frametime_us
      Y4M Loader: provide the pixel aspect ratio directly
      autofoo: don't hardcode zlib flags
      QOI Loader: sync with upstream
      QOI Saver: add one

v1.12.3 - 2024-07-13
--------------------
Chema Gonzalez (2):
      Y4M loader: add support for full range color
      Y4M loader: add support for 10-bit 4:2:0

Kim Woelders (20):
      XPM loader: Fix potential segv on malformed file
      imlib2_load: Add crc32 printout
      test: Corrections for for libjxl-0.10
      XPM loader: Fix some color table parsing errors
      XPM loader: Major overhaul
      test_load_2: Add full range color y4m image
      test_load_2: Add some more y4m test images
      Some cleanups in asm code
      Add endbr32/64 instruction at the start of asm functions
      Add missing CET (Control-flow Enforcement Technology) bits in asm code
      imlib2_view: Use poll(), not select()
      imlib2_view: Minor cleanup
      imlib2_view: Enable an alternate background color set (red/green)
      imlib2_view: Optionally disable final anti-aliased rendering
      imlib2_view: Rename scaling variables
      imlib2_view: Optionally scale on input
      imlib2_view: Enable specifying border
      Y4M loader: Fix frame size calculation for 10-bit 4:2:0 format
      imlib2_view: Enable specifying background checkerboard colors
      v1.12.3

v1.12.2 - 2024-02-03
--------------------
Chema Gonzalez (3):
      Y4M loader: fix support for unexpected framerates
      Y4M loader: fix C option analysis
      Y4M loader: add error messages on parsing errors

Kim Woelders (15):
      test_save: Update crcs for jxl saver (libjxl 0.8.0)
      x11_grab: Remove some obsolete code
      Y4M loader: Guard some debug code properly
      Consistently use #if IMLIB2_DEBUG (not #ifdef)
      test_load_2: Check some more y4m files
      Y4M loader: Avoid use of sscanf() in frame rate parsing
      ANI loader: Avoid debug line when image does not have proper signature
      PNG loader: Properly suppress messages from libpng
      Y4M loader: Fix warning in non-debug build
      Change formatting style
      PNG saver: Avoid potential issues around setjmp/longjmp
      JPG saver: Fix error path
      TIFF loader: Properly suppress messages from libtiff
      savers: Fix error returns
      v1.12.2

NRK (2):
      PNG saver: avoid double-free on write errors
      Y4M loader: don't fail on newline

v1.12.1 - 2023-09-21
--------------------
Kim Woelders (12):
      Fix some clang complaints
      scaling: MMX asm scaling causes segv, disable for now
      loading: Call module exit function also when not dlclosing module on unload
      loaders: Fix build with -m32 --enable-debug
      test_load_2: Add forgotten xeyes.png
      test_save: Fix for jxl loader on ix86
      test_scale: MMX scaling is disabled
      RAW loader: Don't unload loader
      loaders: Fix CPPFLAGS order
      imlib2_grab, imlib2_view: Unset context colormap
      x11_grab: Use correct depth when grabbing
      v1.12.1

v1.12.0 - 2023-08-17
--------------------
Chema Gonzalez (3):
      test_load2: make error messages more descriptive
      Y4M loader: fix support for 420 colorspaces
      Y4M loader: add support for images with unexpected aspects

Kim Woelders (46):
      imlib2_view: Avoid potential use of uninitialized data
      GIF loader: Enable showing animated images even if truncated
      Introduce __imlib_perror() to produce error messages
      loaders: Use common function to print error messages
      imlib2_load: Move time_us() to separate file
      imlib2_conv: Add option to time save operations
      test: Fix pr_info() when not printing to stdout
      loading: Enable calling function on loader load/unload
      HEIF loader: Call heif_[de]init() on loader load/unload
      autofoo: Don't check for freetype if we are building without text
      QOI loader: Add progress calback, indent, cosmetics
      Loaders: Static constify some data that may as well be
      TGA loader: Fix TGA v2.0 signature check
      test: Add basic qoi checks
      test_scale: Test scaling some more
      scaling: Unifdef OLD_SCALE_DOWN
      scaling: Correct scaleinfo array length
      scaling: Move scaling function call sequence into common __imlib_Scale()
      scaling: Cosmetics (comments)
      scaling: Simplify scaling points calculation (eliminate j)
      scaling: Change ypoints[] from pointers to indices
      scaling: Cosmetics
      scaling: Minor refactoring
      scaling: Correct scaling up
      test_scale: Update for new scaling
      image: Fix missing munmap() when using imlib_load_image_fd()
      image: Fix potentially using incorrect file size
      file: Remove a couple of unused functions
      image: Fix potentially using incorrect file size - fixup
      test: Bypass wrappers when running tests
      test_load: Minor fix in debug message
      Add new raw loader
      TIFF loader: Slightly more strict signature check
      image: Use sub-second time info when available
      image: Fix preservation of alpha chanel flag in imlib_clone_image()
      image cache: Avoid negative refcounts
      image cache: Drop redundant cleanup
      image cache: Rework cleanup
      Revert "scaling: Correct scaling up"
      Revert "test_scale: Update for new scaling"
      scaling: Various trivial changes
      scaling: Improve non-AA scale-up case
      scaling: Correct scaling up - take 2
      test_scale: Update for new scaling (re-applied)
      test_scale: Exercise non-AA path too
      v1.12.0

NRK (11):
      WEBP saver: allow lossless and respect compression tag
      add a new QOI decoder
      QOI loader: fix build on non-gnu compilers
      QOI loader: use memcmp for magic and endmarker check
      Y4M loader: check file size before magic check
      loading: add some debug logs
      loading: check for alloc failure
      Y4M loader: use custom y4m parser
      test_load: allow y4m memory loading
      file: Remove unused functions some more
      introduce imlib_image_decache_file()

v1.11.1 - 2023-05-01
--------------------
Chema Gonzalez (2):
      imlib2: added loader for y4m files (uses liby4m and libyuv)
      imlib2: add y4m test examples

Kim Woelders (14):
      autofoo: More CLEANFILES
      HEIF loader: Add some debug
      Y4M loader: Various minor changes
      test_load: Add some missing ifdefs
      test_load: Add some y4m checks
      test: Print some progress info in a couple of tests
      modules: Drop some disabled code
      autofoo: Tweak PACKAGE_DATA_DIR definition
      XPM loader: Add rgb.txt
      loaders: Fix loaders potentially being loaded more than once
      loaders: Change method used to not unload loaders
      Add JXL saver
      loaders: Cosmetics
      v1.11.1

v1.11.0 - 2023-03-09
--------------------
Guilherme Janczak (1):
      remove bad unused function

Kim Woelders (54):
      test: Add a few tests for obscure pnm formats
      test: Add some pam tests
      Avoid some more undefined behaviors with shifts
      api: Fix code duplication around some __imlib_BlendImageToImage() calls
      api: Change some parameter names
      api: Tweak/correct error handling in drawable grabbing functions
      image: Let __imlib_CreateImage() allocate pixel data buffer
      Drop some redundant calls to __imlib_LoadImageData()
      api: Remember error on deferred image data loads
      imlib2_load: Show error on deferred data load problem
      imlib2_view: Be more verbose about load errors
      PNM loader: Speedups
      test: Introduce image_get_crc32()
      test: test_save: Trivial changes
      test: test_save: Check that files are written and ok
      PNM saver: Write images with alpha as P7 PAM RGB_ALPHA type
      x11_rgba: Add missing const
      x11_grab: Avoid cast-align warnings with -Wcast-align=strict
      x11_rgba: Avoid cast-align warnings with -Wcast-align=strict
      Loaders: Debug macro cleanups
      ANI loader: Use struct to access chunk data
      Loaders: Avoid cast-align warnings with -Wcast-align=strict
      autofoo: Add __PACKED__ for optional struct packing
      ANI, PNG, TGA loaders: Enable handling of unaligned data
      __imlib_FileDir(): Fix missing closedir() on OOM
      Loaders: decompress_load() is not part of the loader API
      Loaders: Debug tweaks
      Savers: Centralize file open/close
      JPG saver: Avoid potential clobber warning
      PNG saver: Avoid potential clobber warning
      Loaders, savers: Handle EINTR during fopen()
      api: Remove pointless statement
      api: Update documentation for imlib_get_error()
      api: Cosmetics around image save functions
      api: Minor simplification in error handling in save functions
      Add imlib_save_image_fd()
      api: Oops - debug--
      test_grab: Rearrange code
      x11_grab: Let __imlib_Grab..() return error instead of ok
      x11_grab: Eliminate unnecessary pixmap copy
      imlib_create_scaled_image_from_drawable(): Simplify call path
      x11_grab: Drop now unused 1:1 scaling path in __imlib_GrabDrawableScaledToRGBA()
      imlib2_view: Add option to set background checkerboard field size
      test_grab: Update
      test_grab: Add some tests for imlib_copy_drawable_to_image()
      test_grab: Check get-mask-from-shape too
      x11: Pass X11 context around by struct
      x11_grab: Move window/pixmap checking to separate function
      x11_grab: Rework clipping
      x11_grab: Clear image pixels not actually grabbed
      x11_grab: Various fixes in __imlib_GrabDrawableScaledToRGBA()
      x11_grab: Eliminate some overhead in scaled grabbing
      test_grab: Debug tweak
      v1.11.0

NRK (1):
      PNM loader: avoid some undefined behavior

q3cpma (1):
      PNM loader: add read support for PAM

v1.10.0 - 2022-12-17
--------------------
Kim Woelders (63):
      Introduce imlib_load_image_fde()
      imlib2_load: Tweak load mode handling
      Introduce Imlib2_Loader.h - all that is needed by loaders
      image: Change has alpha flag to separate byte
      loading: Don't look for cached image when not caching
      loading: New loader infrastructure
      loading: Introduce __imlib_ImageFileContextPush/Pop()
      loading: Centralize mmap handling
      Introduce imlib_load_image_mem()
      imlib2_load: Add option to use imlib_load_image_mem()
      api: Remove cast previously dropped everywhere else
      Hide imlib_get/set_color_usage() if no X11
      api: Move X11 related functions to separate file
      api: Move filter functions to separate file
      Enable disabling filter functions
      api: Move text functions to separate file
      Enable disabling text functions
      J2K loader: Drop showing deprecated item in debug message
      image: Fix memory leak when cloning images
      Unify basic X11 functionality in test programs
      Includes tweaks
      test: Re-generate test images with recent tool/library versions
      image: Hide internal ImlibImageFileInfo struct
      image: Don't munmap external memory
      Introduce imlib_get_error()
      api: error_return adjustments
      imlib2_load: Add option to enable image caching
      image: Fix potential use of uninitialized time stamps
      PNG loader: Correct frame delay in zero denominator case
      PNG loader: Cosmetics
      PNG loader: Improved handling of animated PNGs
      multiframe: Support loop count
      PNG loader: Fix animated PNG loading some more
      autofoo: Fix trouble with test subdirectory in distributed source
      autofoo: Rework git tag/release stuff
      test: test_load: Quit when loading primary image fails
      SVG loader: Don't reference multiframe stuff
      ICO loader: Eliminate ico_load()
      autofoo: Use AC_USE_SYSTEM_EXTENSIONS
      imlib2_view: Fix single frame update rendering
      test: test_load_2: Check frame 0/1 loading too
      PNG loader: Cosmetics
      PS loader: Cosmetics
      multiframe: Tweaks around frame number handling
      multiframe: Centralize handling of frame update offsets
      multiframe: Move frame info to allocated record
      multiframe: Allocate frame info only when needed
      PNG loader: Quit scan when target fdAT is seen
      PNG loader: Quit after loading first frame
      PNG loader: Simplify update callback handling
      imlib2_view: Fix multiframe rendering detail
      multiframe: Remove frame offset from updates
      imlib2_view: Fix multiframe after update coordinate change
      imlib2_view: Deal with all pending X events at once
      imlib2_view: Properly handle caching vs progress callbacks
      imlib2_view: Don't load bad images twice if first or last in argument list
      image: Cosmetics
      image: Introduce __imlib_LoadEmbeddedMem()
      Add new ani loader
      image: Cosmetics (slightly more consisent naming)
      ANI loader: Disable progress in embed loader
      ANI loader: Multiframe suport
      v1.10.0

NRK (3):
      Introduce imlib_load_image_frame_mem
      imlib_load_image_frame_mem(): set nocache
      TGA loader: fix indexing in tgaflip

v1.9.1 - 2022-07-06
--------------------
Kim Woelders (14):
      x11_color: Simplify and fix error paths
      JPEG loader: Use mmap'ed file access
      modules: Eliminate __imlib_TrimLoaderList()
      Introduce strsplit()
      modules: Cosmetics, mostly
      modules: Enable setting multiple loader/filter paths
      test: Add test_misc
      modules: Fix signdness warning
      TIFF loader: Change default save compression type
      imlib2_load: Remove unused macro
      imlib2_conv: Cosmetic changes
      imlib2_conv: Drop obsolete .db stuff, simplify
      imlib2_conv: Enable passing attached data to saver
      v1.9.1

NRK (3):
      check for some alloc failures
      check for alloc failures some more
      modules: check for filepath truncation

v1.9.0 - 2022-04-21
--------------------
Kim Woelders (53):
      Remove some deprecation comments
      Move API documentation to header file
      WEBP saver: Fix return code on success
      api.c: Cosmetics
      Refactor some image loading functions
      Refactor some image saving functions
      Image load: Change error code on zero file size
      Tweak __imlib_LoadImageData()
      Error code rework: Use errnos/new imlib2 error codes internally
      Add imlib_load/save_image_with_errno_return() and imlib_strerror()
      Switch to imlib_load/save_image_with_errno_return()
      Deprecate imlib_load/save_image_with_error_return()
      imlib2_load: Tweak verbose output
      Rename files with line etc. drawing functions
      Use stdint types instead of DATA32 etc.
      test_load: Check deferred loading too
      imlib2_load: Show load time per load too
      image.c: Correct loader probe loop
      image.c: Cosmetics (move function)
      GZ loader: Fix uncompressor exit code
      GIF loader: Use mmap'ed file access
      image.c: Loading tweaks
      imlib2_view: Verbose and debug message tweaks
      Loaders: Some trivial cosmetics
      Loaders: Remove unnecessary calls to __imlib_FreeData()
      debug: Enable using hex values in IMLIB2_DEBUG
      SVG loader: Requires librsvg-2.46
      TIFF loader: Use mmap'ed file access
      Add jxl loader
      test: Add basic jxl test
      test_save: Updates
      loaders: Ensure that found loader is ok for load/save
      image: Fix undesired change of format
      Drop deprecation noise from using the old DATA types
      Drop deprecation noise from using imlib_load/save_image_with_error_return()
      API doc corrections and tweaks for doxygen
      Revert a couple of unintended changes
      API doc updates
      doc: Drop most old doc stuff
      doc: New documentation build setup (doxygen)
      doc: Assorted documentation intro updates
      loaders: Fix typo, fix order
      SVG loader: Faster signature check
      build: Tweaks
      Add J2K (JPEG 2000) loader using openjpeg2 library
      test: Add some of JPEG 2000 tests
      Add PS/EPS loader using libspectre
      debug: Export __imlib_time_us()
      JXL loader: Multiframe support
      SVG loader: Avoid some warnings in rsvg.h
      SVG loader: Fix size when unit is percent
      SVG loader: Fix size when unit is percent some more
      v1.9.0

v1.8.1 - 2022-03-15
--------------------
Kim Woelders (32):
      PNM, XPM loaders: Fix trouble with non-ascii characters
      XPM loader: Reduce signature window size some more
      Refactor image flags stuff
      Remove some unused image flags and deprecate functions referencing them
      JPEG, XBM loaders: Drop pointless clearing of flag
      Deal consistently with including Imlib2.h
      Merge x11_draw.c/h into x11_pixmap.c/h
      x11_rgba.c: Add some missing static qualifiers
      x11_color.c: Make most __imlib_AllocColors*() functions static
      x11_...: Introduce palette type enum
      Loader includes tweaks
      Move some loader related function prototypes to loaders.h
      common.h: Drop round() macro
      debug.c/h: Move __EXPORT__ to .c file
      Remove system includes from common.h
      Move x_VAL() macros to common.h
      Introduce types.h
      Remove some unnecessary headers
      grad.c: Refactor __imlib_DrawGradient() and __imlib_DrawHsvaGradient()
      Only have one CLIP macro
      Mostly cosmetic tweaks around clipping checks
      test: Command line options tweak
      test_grab: Enable testing depths other than 24 and 32
      x11_grab.c: Correct 16 and 15 bit depth grabbing
      TIFF loader: Remove obsolete comment
      ID3 loader: Drop inline and likely stuff
      ID3 loader: Disable tags stuff
      Introduce __imlib_GetKey()
      Merge __imlib_FindBestLoader...() functions
      test: Properly include test.h in test SOURCES
      test: Exclude from tarball
      v1.8.1

Matthias Grosser (1):
      imlib2: saving progressive JPEG

NRK (1):
      XPM Loader: limit signature check to first 4KiB

Tobias Stoeckmann (2):
      imlib2: allow compilation without x headers
      imlib2_load: fix typo

Youssef Rebahi-Gilbert (1):
      fix: possible memleak in rgba save on big endian systems

v1.8.0 - 2022-02-06
--------------------
Kim Woelders (86):
      test: Add context test
      Drop context image save/restore around __imlib_Load/SaveImage() calls
      Make initial context static
      Drop context check/init in API functions
      Use __func__ instead of open coded function names
      Pass parameters to __imlib_LoadImage() by struct
      Trivial cleanups
      imlib2_view: Cosmetics (if -> switch)
      imlib2_view: Add 'r' command to refresh
      imlib2_view: Move window background image init to separate function
      imlib2_view: Refactor pixmap rendering
      imlib2_view: Remove some pointless function calls
      imlib2_view: Tweaks around timeout
      debug: Add some image caching debug
      imlib2_view: Fix caching option
      Add support for multiframe (animated) images
      Enable caching for multiframe images
      imlib2_load: Add support for multiframe images
      imlib2_view: Add support for multiframe images
      debug: Add DL macro for additional loader debug
      WEBP loader: Multiframe support
      ICO loader: Multiframe support
      GIF loader: Some refactoring, add debug
      GIF loader: Multiframe support
      ICO loader: Debug tweaks
      Indent
      debug: Avoid use of uninitialized data
      Loader loading: Avoid access to uninitialized load() item
      updates: Reduce memory usage
      Drop some intermediate type definitions
      autofoo/loader cosmetics
      configure.ac: Simplify loader setup
      Updates for animated image handling
      imlib2_view: Fix(?) animated image frame dispose handling
      test: Add a couple of ico depth test images
      ICO loader: Minor optimization
      ICO loader: Mostly cosmetic changes (inline ico_read())
      GIF loader: Always set BLEND flag
      imlib2_view: Rework display of animated images
      Introduce more loader return codes
      BZ2, ZLIB loaders: Move duplicated code to separate file
      Add lzma loader
      imlib2_grab: Print error message if saving fails
      imlib2_view: Verbosity twaeks
      imlib2_load: Verbosity twaeks
      LZMA loader: Fix potential warning
      configure.ac: Correct simplification changes
      configure.ac: Correct simplification changes some more
      XBM loader: Correct load2() result when no header is found
      Add svg loader
      SVG loader: Avoid problems when loading the module more than once
      imlib2_load: Add no-data option
      Add dispose-to-previous frame handling
      PNG loader: Disable Imlib2-Comment stuff
      PNG loader: Rewrite to use callback API
      PNG loader: Add multiframe support
      test: Check __imlib_FileKey()
      Simplify __imlib_FileKey()
      Avoid redundant operations when non-existing file has no "key"
      Drop change log from before first version tag
      test: Move generated image files out of source dir
      test: Add makefile to generate test images
      PNM loader: Fix P1 when spaces are omitted
      PNM loader: Fix "XV thumbnail" (P7 332) loading
      test: Add some more PNM type loading tests
      image.c: Avoid potential compile error
      imlib2_view: Avoid clang error
      Drop/adjust a few comments
      Move some code as suggested in source
      HEIF loader: A couple of cleanups and fixes
      loaders.c: Add heif to known loaders
      autofoo: Sort loaders
      SVG loader: Fix memory leak on error
      HEIF loader: Avoid memory leak when module is loaded more than once
      Mark obsolete TTF encoding functions as deprecated
      test: Add basic heif loader check
      Refactoring around font glyph lookup
      imlib2.spec.in: Introduce acflags for configuration of rpmbuilds
      Add some missing const qualifiers
      Fix gcc12 warning in __imlib_ConsumeImage()
      Fix gcc12 warning in __imlib_stripwhitespace()
      TGA loader: Make function order same as in other loaders
      HEIF loader: Header cleanups
      Add imlib_version()
      test: Merge common stuff
      v1.8.0

Rishvic Pushpakaran (1):
      imlib2: added loader for HEIF files (uses libheif), implemented just `load2` for now

Sören Tempel (1):
      ICO loader: Fix compilation on big endian architectures

v1.7.5 - 2021-12-06
--------------------
Kim Woelders (83):
      Build .xz instead of .bz2 release tarball
      Drop imlib2-config (use pkg-config)
      Test: Add some minimal regression testing
      Test: Fix dist
      imlib2_load: Add option to use imlib_load_image_immediately()
      JPEG loader: Cosmetics
      JPEG loader: Parse EXIF data and handle orientation
      autofoo: Drop support for libungif
      Imlib.h: Add version macros
      imlib2_load: Add verbose option
      Fix build (Imlib2.h is now built)
      test: Add icon-64.pbm
      test: Add test_load_2
      imlib2_view: If verbose show error message on failure
      imlib2_load: Use clock_gettime() when available
      debug: Infrastructure
      debug: Add some debug related to file access and image loading
      Introduce im->fsize
      PNG loader: Cosmetics
      PNG loader: Use mmap() during signature check
      TIFF loader: Use mmap() during signature check
      TGA loader: Use im->fsize, cosmetics, debug
      WEBP loader: Cosmetics
      WEBP loader: Use mmap() for loading
      FF loader: Cosmetics
      FF loader: Use mmap() for loading
      ARGB loader: Cosmetics
      ARGB loader: Use mmap() for loading
      BMP loader: Cosmetics
      BMP loader: Use mmap() for loading
      ICO loader: Cosmetics
      ICO loader: Use mmap() for loading
      LBM loader: Cleanups
      LBM loader: Use mmap() for loading
      PNM loader: Use mmap() for loading
      XBM loader: Fix potential buffer overrun
      XBM loader: Cosmetics
      XBM loader: Use mmap() for loading
      XBM loader: Ignore comments and other stuff in header
      XPM loader: Use mmap() for loading
      test: test_load improvements
      imlib2_view: Add option to cache images
      Introduce UPDATE_FLAG()
      Introduce ARRAY_SIZE()
      Loader cosmetics
      Loader loading: Tweaks
      Loader loading: Move to __imlib_FindBestLoaderForFormat()
      Loader loading: Move __imlib_GetLoaderList()
      Loader loading: Minor loader lookup refactoring
      Loader loading: Avoid always loading all loaders
      Loader loading: Don't bother looking up load() if we have load2()
      WEBP loader: Enable loading animated images (first frame by default)
      configure.ac: Fixup after recent change
      Drop unnecessary free() NULL argument checks
      Remove some unneeded headers
      Rename X11 related files for clarity
      Move ImlibImagePixmap population to __imlib_AddImagePixmapToCache()
      test: Add X11 drawable grabbing test
      Move pixmap stuff to x11_pixmap.c/h
      Trivial changes in __imlib_Grab...() function prototypes
      Refactor imlib_create_scaled_image_from_drawable()
      Revert "Refactor imlib_create_scaled_image_from_drawable()"
      Refactor imlib_create_scaled_image_from_drawable() - take 2
      x11_grab.c: Rename source/destination variables for clarity
      Fix y-upscaling in imlib_create_scaled_image_from_drawable()
      test_grab: Cleanups, cosmetics
      test_grab: Add scale-down tests
      Only set MAINTAINERCLEANFILES in top-level Makefile.am
      imlib2_view: Enable grabbing/viewing drawables
      x11_grab.c: Cosmetics
      x11_grab.c: Introduce function to get shape mask
      Speedup in imlib_create_scaled_image_from_drawable()
      Avoid signedness warning
      Avoid "exceeds maximum object size" warning
      blend.c: Tweaks, cleanups
      Simplify build wrt. asm files
      test_save: Check images with alpha too
      test: Add some scaling/rotation tests
      Refactoring around mmx and rotate function calls
      Refactoring around mmx and scaling function calls
      Refactor condition for using assembly functions
      Update doc for imlib_load_image_fd()
      1.7.5

NRK (1):
      WEBP loader: fix key selecting last frame

v1.7.4 - 2021-09-17
--------------------
Kim Woelders (15):
      imlib2_view: Move property stuff to separate file
      imlib2_view: Cleanups
      imlib2_view: By default scale large images to fit on screen
      imlib2_view: Add some debug
      imlib2_view: Fix issue with new default scaling
      WEBP loader: Remove forgotten debug printout
      WEBP loader: Rename fd variable to be same as everywhere else
      LBM loader: Fix potential out-of-bounds memory access
      GIF, TIFF, WEBP loaders: Fix loading if filename does not have usual suffix
      Revert "GIF, TIFF, WEBP loaders: Fix loading if filename does not have usual suffix"
      GIF, TIFF, WEBP loaders: Fix loading if filename does not have usual suffix - take 2
      Add script to generate Changelog
      Update Changelog to new format
      image.c: Use the LOAD_... macros to check loader return values
      1.7.4

v1.7.3 - 2021-08-08
--------------------
Kim Woelders (2):
      autofoo: Resurrect non-pkg check for bzip2
      1.7.3

v1.7.2 - 2021-07-27
--------------------
Kim Woelders (31):
      Remove some unnecessary X_DISPLAY_MISSING stuff
      rend.c: Remove some pointless lines
      Add XBM loader
      Add imlib2_load and /build to .gitignore
      Remove obsolete and unused AC_HEADER_STDC
      Restore file:key functionality
      ICO loader: Fix (disabled) debug stuff
      ICO loader: Enable specifying ico image index by key
      Remove unused Context functions
      context.c: Fix potential segv
      LBM loader: Fix handling of missing RLE data
      Fix clang-analyzer warnings - bin (trivial)
      Fix clang-analyzer warnings - loaders (trivial)
      Fix clang-analyzer warnings - loaders (suppress bogus)
      Fix clang-analyzer warnings - lib (mostly trivial)
      Fix clang-analyzer warnings - lib (less trivial)
      autofoo: Move more to pkg-config
      TIFF loader: Drop use of libtiff defined types deprecated in libtiff-4.3.0
      TGA loader: Fix loading small images without footer
      Spec file: Add git tag to rpm file name (if built from git checkout)
      Cleanups: while->for loops (loaders list)
      Cleanups: while->for loops (context list)
      Cleanups: while->for loops (im->tags list)
      Cleanups: while->for loops (images list)
      Cleanups: while->for loops (pixmaps list)
      Drop unused Imlib_Object_List:last
      Add feature to build with ASAN (--enable-gcc-asan)
      Correct (disabled) debug printouts
      Loaders: Remove unnecessary headers
      WEBP saver: Use fopen() etc. like all other savers
      1.7.2

v1.7.1 - 2020-12-09
--------------------
Daniel Kolesa (1):
      Fix big endian build

Kim Woelders (6):
      rend.c: Fix __imlib_generic_render() when jump != 0
      grab.c: Support 30bpp display in __imlib_GrabXImageToRGBA()
      WEBP loader: Add initial signature check
      XPM loader: Get transparency right when doing header-only loading
      Silence a couple of sign-compare warnings
      1.7.1

v1.7.0 - 2020-08-01
--------------------
Alexander Volkov (3):
      GIF loader: Don't close file descriptor twice
      Introduce imlib_load_image_from_fd()
      Don't rescan loaders

Kim Woelders (49):
      XPM loader: Major speedup for cpp > 2
      imlib2_load: Properly check non-full loads (load data too)
      imlib2_load: Use getopt()
      imlib2_load: Add repeated load option
      Simplify __imlib_FileExtension()
      Refactor many __imlib_File...() functions to use common __imlib_FileStat()
      Drop the __imlib_IsRealFile() file check in __imlib_File...() functions
      image.c: Add some space for readability
      image.c: Remove some unnecessary clearing of calloc'ed structs
      image.c: Rework some obscure file name stuff in __imlib_SaveImage()
      image.c: Don't strdup() real_name when not necessary in __imlib_LoadImage()
      image.c: Use real_file to get file time
      image.c: Introduce __imlib_ErrorFromErrno()
      image.c: Use loader return value, not im->w to determine load success
      Loader cleanups
      Saver cleanups
      image.c/h: Cleanups
      image.c: Move image tag functions to separate file
      image.c: Move loader functions to separate file
      image.c: Enable non-dirty pixmap cache cleaning
      image.c: Minor refactoring of pixmap cache cleaners
      image.c: Move data_memory_func assignment to better place
      imlib2_view: Various tweaks
      Fix loader cleanup breakage (gif)
      image.c: Remove redundant pixmap unref
      image.c: Add infrastructure to simplify progress handling
      Loaders: Simplify/fix progress handling
      Savers: Simplify progress handling
      Introduce __imlib_LoadEmbedded()
      Introduce __imlib_LoaderSetFormats()
      Make ImlibLoader struct opaque
      autogen.sh: Add -n as alternative to NOCONFIGURE
      Fix enum conversion warnings (gcc10)
      JPG, PNG loaders: Avoid clobber warnings
      Add a couple of consts
      TIFF loader: Minor speedup
      ID3 loader: Some mostly cosmetic rearrangements
      GZ, BZ2 loaders: Accept more file names
      __imlib_FileExtension: Use basename if there are no dots
      Revert "JPG, PNG loaders: Avoid clobber warnings"
      JPG, PNG loaders: Avoid clobber warnings - Take N+1
      Add infrastructure for new loader entry - load2()
      Move loaders to load2()
      Reduce number of stat() calls during load
      configure.ac: Drop initial config.cache removal
      imlib2_load: Optionally use imlib_load_image_fd()
      Fix build without X11
      Remove a couple of unused includes
      1.7.0

Tobias Stoeckmann (2):
      ICO loader: Do not crash on invalid files
      ICO loader: Handle malloc failures

v1.6.1 - 2019-12-13
--------------------
Kim Woelders (11):
      gz loader: Use FILE, not fd
      gz, bz2 loaders: Fix recent breakage when file name has more than two dots
      Quit on 'q' or 'esc' key press in all imlib2_... test utilities
      Rename imlib2_test_load to imlib2_load
      imlib2_load: Optionally write to stderr instead of stdout
      imlib2_view: Add progress debug options
      Enable specifying loader/filter paths with environment variables
      BMP loader: Remove some bogus conditions
      XPM loader: Minor optimization for cpp > 2
      LBM loader: Fix header-only loading
      1.6.1

Luiz Carlos Ramos (1):
      BMP loader: Fix size calculation when saving files

v1.6.0 - 2019-11-24
--------------------
Alexander Volkov (1):
      Allow to use custom memory management functions for loaded images

Kim Woelders (64):
      Add __imlib_LoadImageWrapper() handling all load() calls
      imlib2_conv: Report error on save failure
      Autofoo cosmetics
      Trivial cleanups in imlib2_... test programs
      Add imlib2_test_load program
      Cleanups in load() functions
      Centralize handling of im->format
      Sort loaders in Makefile.am
      Remove obsolete dmalloc stuff
      Move SWAP.. macro definitions to common.h
      Use common PIXEL_ARGB() macro to compose pixels
      Add new ICO loader
      Spec file simlifications and cleanups
      Fix memory leak in imlib_list_fonts()
      XPM loader: Refactor exit cleanup handling
      XPM loader: Fix potentially uninitialized pixel data
      XPM loader: Fixup after "Refactor exit cleanup handling"
      Revert "XPM loader: Fix potentially uninitialized pixel data"
      XPM loader: Cosmetics (reduce indent level)
      XPM loader: Fix several colormap issues
      XPM loader: Simplify pixel value handling
      XPM loader: Add missing pixels (malformed xpm)
      XPM loader: More simplifications
      JPG loader: Refactor
      JPG loader: Do proper CMYK conversion
      Add new WebP loader
      Remove pointless im->data checks in loaders
      WepP loader: Fix memory leak in error path
      JPG loader: Fix memory leaks in error paths
      Fix ABI break
      ICO loader: Add binary flag to fopen()
      JPG loader: Refactor error handling
      Rename/add byte swap macros
      BMP loader: Major makeover - numerous bug fixes and feature enhancements
      Miscellaneous imlib_test_load tweaks
      GZIP loader: Check filename before uncompress
      imlib2_test_load: Fixup after recent change
      Re-indent everything using indent-2.2.12
      TGA loader: Refactor
      Eliminate WRITE_RGBA()
      Simplify autogen.sh
      Simplify pixel color handling in api.c
      Use pixel instead of r,b,g,a in __imlib_render_str()
      Use macro for pixel color access in savers
      Eliminate READ_RGBA()
      XPM loader: Accept signature not at the very start of the file
      Simplify loader lookup functions
      imlib2_view: Enable selecting next/prev using keys too
      imlib2_view: Fix event processing bug
      imlib2_test_load: Fixup recent breakage for real
      imlib2_test_load: Check progress conditionally
      imlib2_view: Add verbose option, quit on Escape too
      TGA loader - Mostly cosmetic refactoring
      TGA loader: More mostly cosmetic changes
      TGA loader: Support horiontal flip
      TGA loader: Add simple 16 bpp handling
      TGA loader: Tweak error handling
      ICO loader: Fix non-immediate loading
      Remove __imlib_AllocateData() w,h args
      imlib2_view: Fix next/prev selection if last/first image is bad
      ICO loader: Fix memory leak in error path
      XPM loader: Correct signature check (avoid accessing unset data)
      gz, bz2 loaders: Simplify, eliminate unnecessary strdups, cosmetics
      1.6.0.

Olof-Joachim Frahm (欧雅福) (2):
      Check filename before opening archive file.
      tga loader: implement handling of palette

Ralph Siemsen (1):
      loader_tga: fix regression in RLE raw byte handling

v1.5.1 - 2018-03-17
--------------------
Kim Woelders (13):
      Fix build without HAVE_X11_SHM_FD (T6752)
      XPM loader: Fix potential use of uninitialized value (T6746)
      BMP loader: Fix infinite loop with invalid bmp images (T6749)
      PNM loader: Simplify (fixing ASCII format parsing issues T6751)
      BMP loader: Fix warnings found with -O3
      Maximum image dimension should be 32767, not 32766
      PNG loader: Correct various error handling cases
      Add missing const to imlib_apply_filter() script argument
      Warning fixes in imlib2_... programs
      imlib2_view: Limit window dimensions to 32767
      grab.c: Fix gcc8 warning
      imlib2_conv.c: Fix gcc8 warning
      1.5.1.

v1.5.0 - 2018-02-22
--------------------
Alexander Volkov (3):
      put a check for shared memory inside __imlib_ShmGetXImage()
      introduce __imlib_ShmDestroyXImage() instead of __imlib_ShmDetach()
      Add support for MIT-SHM FD-passing

Kim Woelders (19):
      XPM loader: Fix incorrect image invalidation.
      Make some more functions static.
      Introduce __imlib_LoadImageData()
      Remove redundant CAST_IMAGE()
      imlib2_grab: Always use imlib_create_scaled_image_from_drawable() to grab image
      imlib_create_scaled_image_from_drawable(): speed up 1:1 case
      imlib_create_scaled_image_from_drawable(): Drop shape handling if unshaped
      Indent
      Autofoo cosmetics
      Strip trailing whitespace, cosmetics
      Fix potential OOB memory access if border elements are negative
      Fix potential OOB memory access if border sizes exceed image dimensions
      Introduce IMLIB2_SHM_OPT to enable overriding/testing SHM modes
      Add IMLIB2_XIMAGE_CACHE_COUNT to enable testing the ximage cache
      Refactor the XImage cache
      Add imlib_get_cache_used()
      Expose XImage cache control functions
      Drop -Waggregate-return
      1.5.0.

v1.4.10 - 2017-04-15
--------------------
Kim Woelders (3):
      PNM loader: Fix reading PNM bitmaps.
      Fix missing break.
      1.4.10.

Tobias Stoeckmann (3):
      Avoid out of boundary operations while parsing xpm
      Properly release resources on error path
      Prevent OOB read with large file support on 32 bit

v1.4.9 - 2016-04-29
--------------------
Alexander Smirnov (1):
      Fix cross-endianness for masks (1-bit depth images)

Bernhard Übelacker (1):
      gif: fix oob reads w/bad colormaps

Kim Woelders (16):
      Fix "assuming signed overflow does not occur" warning.
      Fix some "variable set but not used" warnings.
      Fix some "variable might be clobbered" warnings.
      Fix off-by-one OOB read in __imlib_MergeUpdate().
      Revert "gif: fix oob reads w/bad colormaps"
      GIF loader: Fix out-of-bound reads from colormap.
      GIF loader: Remove check made redundant by previous commit.
      GIF loader: Reduce progress checks from per-pixel to per-row.
      GIF loader: Indent.
      Fix potential divide-by-zero in imlib_image_draw_ellipse().
      Make a number of functions static.
      Eliminate pImlibExternalFilter type.
      Trivial file function cleanups.
      Move __imlib_ItemInList() to file.c.
      Fix various potential OOM crashes.
      1.4.9.

Yuriy M. Kaminskiy (3):
      Fix integer overflow resulting in insufficient heap allocation
      loader_xpm: remove nonsense/impossible/broken condition
      Harden API and internals against overly large images

v1.4.8 - 2016-03-12
--------------------
Chloe Kudryavtsev (1):
      add time.h include to common.h for time_t

FRIGN (1):
      Add a Farbfeld loader

Kim Woelders (4):
      Remove redundant config.h.
      Add compile to MAINTAINERCLEANFILES.
      Indent.
      1.4.8.

Quentin Rameau (2):
      Fix bz2 loader filename check
      Fix zlib loader filename check

v1.4.7 - 2015-04-04
--------------------
Fabian Keil (14):
      Prevent division-by-zero crashes
      imlib_conv: Use proper buffer size to prevent invalid write of size one
      loader_gif: Don't read uninitilized memory in case of invalid input
      loader_gif(): Abort gif parsing if DGifGetLine() fails
      Fix segfault when opening input/queue/id:000007,src:000000,op:flip1,pos:51 with feh
      Make IMAGE_DIMENSIONS_OK() more restrictive
      load_pnm: Deal with fread() errors consistently
      __imlib_LoadImage(): Additionally check loader_ret to detect loader failures
      loader_tga: Abort file loading if the file obviously isn't large enough
      imlib_save_image(): Check loader return code for errors
      loader_tga.c: Properly signal if decoding uncompressed BGRA data failed
      loader_tga.c: Properly signal if decoding RLE compressed data failed
      imlib_save_image_with_error_return(): Check loader return code to prevent use of unitialized memor
      load_gif: Make sure rows isn't used partly unitialized

Heiko Becker (1):
      GIF loader: Fix for libgif version 5.1

Kim Woelders (20):
      GIF loader: Fix for libgif version 5.
      Remove OS/2 support.
      Remove empty format.c/h.
      Header file cleanups.
      GIF loader: Simplify error handling.
      GIF loader: Fix segv on images without colormap.
      Revert "__imlib_LoadImage(): Additionally check loader_ret to detect loader failures"
      Revert "loader_gif(): Abort gif parsing if DGifGetLine() fails"
      JPEG loader: Fix load() return code when only reading header.
      BMP loader: Simplify pixel fetch.
      Autofoo update (AC_PROG_LIBTOOL -> LT_INIT).
      Autofoo macro cleanups (ac_->ec_).
      Change a number of internal function names.
      Indent.
      Don't include Imlib2.h indirectly via image.h.
      Remove __hidden.
      Enable visibility hiding by default.
      Indent the remaining unindented files.
      Generate a ChangeLog using git shortlog between existing tags.
      1.4.7.

Michał Górny (1):
      fix -I flags to support building out-of-source

Mike Frysinger (5):
      simplify --enable-visibility-hiding handling
      imlib2-config: delete old reference to @my_libs@
      check return value of fread/write funcs
      fix X_DISPLAY_MISSING redefined warnings when X is disabled
      do not link with X libs when X is disabled

v1.4.6 - 2013-12-21
--------------------
Cedric BAIL (2):
      autotools: move to AC_CONFIG_HEADERS.
      trunk: remove use of AM_PROG_CC_STDC as AC_PROG_CC does it.

Kim Woelders (20):
      TGA loader: Fix for corrupt RLE format.
      Change INCLUDES to AM_CPPFLAGS.
      Fix drawing of closed polygons in certain situations (ticket 2309).
      Cosmetics for readability.
      Minor optimisation (avoid bogus valgrind complaint).
      Update configure.ac (mostly suggestions by autoupdate).
      Update .gitignore.
      Set warning options when using gcc.
      Silence compiler warnings (lib).
      Silence compiler warnings (loaders).
      Silence compiler warnings (filters).
      More warning fixes (64 bit).
      Don't set -std=gnu99.
      Autofoo updates.
      Indent.
      Deuglification.
      Cosmetics (reduce deep indentation level).
      Simplify some more and fix certain case of cpp > 2.
      Remove ChangeLog and obsolete rule to generate it.
      1.4.6.

v1.4.5 - 2011-08-15
--------------------
Carsten Haitzler (1):
      no more debian dir in our svn - debian now handles this tehmselves.

Kim Woelders (13):
      imlib2_view stuff.
      Avoid some duplicated code.
      Fix reading tiff images with orientation other than ORIENTATION_TOPLEFT (ticket 563).
      Fix imlib_render_image_part_on_drawable_at_size() ...
      Fix pnm image loading in certain situations (ticket 721).
      Better image cache time stamp test.
      Indent (most) .c files.
      Fix loading of .pbm's (P4) when width is not a multiple of 8.
      PNM loader: Refactor around progress and exits.
      Fix program linking (ticket 725).
      Avoid referencing /usr/X11R6 when x_dir is not set.
      1.4.5.
      Update ChangeLog.

Lucas De Marchi (7):
      Remove unneeded code with notnull.cocci script
      FORMATTING
      Apply memset-calloc.cocci
      Convert (hopefully) all comparisons to NULL
      Revert and re-apply badnull patch
      Fix common misspellings
      Fix typos

Mike Frysinger (2):
      png loader: use png_jmpbuf() macro rather than hitting jmpbuf directly
      png loader: do not hit "interlaced" member of the png ptr struct

v1.4.4 - 2010-05-05
--------------------
Carsten Haitzler (1):
      minor buglet - w * w - duh!

Kim Woelders (6):
      No need for libtoolize twice?
      Remove unused __imlib_FileField functions.
      Add rule to generate ChangeLog.
      New ChangeLog.
      1.4.4.
      Update ChangeLog.

v1.4.3 - 2010-03-14
--------------------
Carsten Haitzler (4):
      crash fix.
      fix the copying license to
      fix bufferoverflow in id3 loader.
      handle modified dir date of 0

Christopher Michael (3):
      Fix blank line after trailing space warning.
      Add m4 macro dir as suggested by autoconf.
      Enable silent rules in building imlib2

Daniel Kolesa (11):
      Removed debian things like rasterman did in some others from Makefile.am and configure.ac/in(and modifed AUTHORS, autogen.sh and README in E-MODULES-EXTRA) in
      Removed debian subfolders - prepared for a new set of debian subdirs.
      Added new set of debian subdirs.
      prepare debian rules files for new chmod permissions.
      Added debian/rules files with a new permissions set(755).
      Updated debian stuff everywhere.
      forgot to add --prefix=/usr
      i found it is useless and cdbs is setting up prefix automatically.
      Updated debian stuff(grew Standards-Version, updated python-ecore rules file)
      Updated Standards-Version
      Fixed debian stuff everywhere.

Gustavo Sverzut Barbieri (1):
      there is no m4 dir anymore.

Kim Woelders (29):
      Remove obsolete libltdl dir.
      No need for empty NEWS.
      No need for empty NEWS ... and remove it!.
      Remove imlib2-config (use pkgconfig).
      Revert imlib2-config removal. There still may be systems without pkgconfig out there.
      Remove redundant BUILD_X11 tests, indent.
      Don't build static libs for modules.
      Refactor shm stuff.
      Fix alignment error on amd64 (patch from Erik Boettcher).
      Fix big endian bug in bmp loader (jogness, ticket 195).
      Fix imlib_font_query_size width calculation when there are undefined  codepoints (ticket 230).
      Relax 8192 pixel dimension limit (ticket 361).
      Relax 8192 pixel dimension limit (ticket 361).
      Remove unimplemented imlib_clip_line prototype and documentation (ticket 379).
      Fix build for x86 on x86_64.
      Correct image dimension check (pixels are four bytes).
      Use PNG_CFLAGS when compiling png loader (ticket 449).
      Fix compiling .S files when using older automake (ticket 449).
      Remove incorrect test for X11/X.h.
      Fix for libpng-1.4 (png_check_sig->png_sig_cmp).
      Add .gitignore.
      Fix excessive checking for shm extension in __imlib_GrabDrawableToRGBA().
      Only check XShmAttach once in __imlib_ShmGetXImage().
      Avoid cast.
      Oops - forgot extern.
      No need to touch README.
      Remove ancient ChangeLog.
      Remove .cvsignores.
      1.4.3.

Michael Jennings (1):
      Fix build.

Mike Frysinger (1):
      imlib2: bumpmap: link against -lm since we use sin()/cos() functions

Vincent Torri (1):
      aclocal flag could be needed. I prefer being polite and saying nothing about libtool...

v1.4.2 - 2008-10-22
--------------------
Carsten Haitzler (1):
      ok. i think most binary files are now fixed.

Kim Woelders (12):
      Various loader fixes (Marcus Meissner, bug 494).
      Oops - correction.
      Loader fixes based on patch from Hans de Goede/Fedora. Fix off by one error in check (tga loader).
      Introduce imlib_context_disconnect_display().
      Return value is not a pointer.
      Ignore+-.
      pnm loader fix (Marcus Meissner, ticket 25).
      xpm loader fix (Marcus Meissner, ticket 28).
      Fix incorrect event loop causing 100% load until an X event is received.
      Indent.
      Lets make it at least 1.4.2 next time.
      Fix loading of jpeg files with 4 color components (kntriant, ticket 84).

Michael Jennings (1):
      Tue Oct 21 21:28:27 2008                        Michael Jennings (mej)

Mike Frysinger (1):
      fix from Hans de Goede to look for /usr/share/X11/rgb.txt as most modern systems are using now

Peter Wehrfritz (1):
      configure.in -> configure.ac

v1.4.1 - 2008-06-10
--------------------
Carsten Haitzler (12):
      fontset patch from winfred
      patches for imlib2 and e.
      ASPARAGUS!
      1. fix a lot of things so they pass make distcheck - so many things have broken. guys - need to be more careful! 2. asparagus 3. some extra docs/comments for evas
      various patches from the devel mailing list in - and fixed where needed.
      font chaining patch
      round as a #define - and xpm loader has extra rgb.txt sourc
      different png loading to fix png greyscale loads
      asparagus!
      push initial ctxt too
      asparagus! also pass distcheck and have common autofoo init that is consistent for package, version etc.
      2 possible security vulns fixed. should probably release new version with these.

Davide Andreoli (1):
      Update doxy style

Falko Schmidt (3):
      remove duplicate line. clean install files for test package.
      fix test package and clean up some install files.
      generalize imlib2 library install files

Kim Woelders (19):
      Back out fontset patch.
      Make code indentable.
      Add indent profile.
      Indent C files.
      Indent, rewrap long comment lines.
      Mark some (new) functions deprecated as they are likely to be removed (see bug 118). Change some names to match coding style a bit more.
      Push initial ctxt - continued, wasn't done everywhere.
      Handle some out-of-memory situations without crashing.
      Oops - missed one (malloc check).
      Indent.
      Remove restriction to 8 bits per sample (suggested by David A. Gatwood, bug 374). Set stopOnError (seems like the proper thing to do?).
      Fix destination image loading in imlib_image_copy_alpha_to_image() (Victor Paesa - bug 474).
      Remove incorrect test in __imlib_copy_alpha_data() (Victor Paesa - bug 475).
      Fix destination image loading in __imlib_BlendImageToImageSkewed() (Victor Paesa - bug 479).
      Fix destination image loading in __imlib_BlendImageToImage() (Victor Paesa - bug 480).
      Fix HSV color conversion so it matches the API documentation (Dariusz Knocinski).
      Map after resize to avoid initial placement silliness.
      MAINTAINERCLEANFILES: aclocalm4->aclocal.m4
      Add support for TrueType Collections (suggested by Arne Goetje, bug 487).

Michael Jennings (2):
      Mon Mar 10 22:38:16 2008                        Michael Jennings (mej)
      Mon Jun  9 22:46:01 2008                        Michael Jennings (mej)

Mike Frysinger (3):
      fix running with libtool-2.2+
      if png is disabled, set png_ok so the summary display is nice
      add X status to the summary display

Sebastian Dransfeld (2):
      Fix signed warning.
      Use pkg-config to check for png

Vincent Torri (1):
      * improve autotools stuff  * move libtool versioning from src/bin/Makefile.am to configure.in  * formatting

v1.4.0 - 2007-05-06
--------------------
Carsten Haitzler (6):
      fix possible overflow in tga loader
      fix width and height checks in case of buffer overflow.
      fix clip?
      line patch for imlib2 from john williams.
      asparagus - pass distcheck.
      up to 1.4.0 ...

Kim Woelders (3):
      Fix major memory leak in xpm loader.
      In imlib_render_pixmaps_for_whole_image() and imlib_render_pixmaps_for_whole_image_at_size() don't complain about NULL mask_return. A NULL mask_return is handled appropriately down the line and simply suppresses rendering of a mask.
      Add option to build with visibility=hidden + associated fixups.

Michael Jennings (1):
      Sat Dec  2 22:59:35 2006                        Michael Jennings (mej)

Mike Frysinger (4):
      need AM_PROG_AS as pointed out by automake-1.10/Marc-Andre Landry
      use -std=gnu99 in CPPFLAGS if compiler supports it
      need to call AC_PATH_X to make sure have_x is set early enough and then we need to not clobber it when checking for X11/X.h
      cleanup and simplify ... this should also fix the preprocessor paste error seen on x86

Nathan Ingersoll (1):
      Protect against segfaults if XImage allocation fails. Return usable status to the API caller so it can handle the error condition.

Sebastian Dransfeld (2):
      No longer needed.
      Remove unused files.

Tilman Kuepper (1):
      don't _require_ freetype2

v1.3.0 - 2006-09-30
--------------------
Ben Rockwood (1):
      Solaris workarounds.

Carsten Haitzler (9):
      fix bmp loader advances
      bmp fixes
      cvs is back up.. time for some asparagus!
      if u run out of memory - actually free stuff
      1. autofoot patches. 2. fix maximize to work again. :)
      fix blah-config includes
      remove openembedde pkg info - old and dead
      fix x detect
      asparagus - forgot to commit

David Walter Seikel (1):
      .cvsignore++

Falko Schmidt (1):
      Fix some dependency issues regarding xlibs-dev.

Horms (3):
      Save and restore autogenerated changelog when debian/rule's clean target runs. Otherwise the following breaks because make distclean removes autogenerated files, but debian/rules expects the changelog to always be there:
      Need not depend on libc6-dev | libc-dev as it is in build-essential
      The section of a library's -dev package is generally libdevel

Kim Woelders (10):
      libImlib2.so minor number should have been bumped. Bad raster :)
      Patch from Dmitry Antipov: - Visibility hiding - Move common asm macros to asm.h - Fix some typos.
      Trivial warning fixes.
      imlib_copy_drawable_to_image() and imlib_create_image_from_drawable(): - When mask is set to (Pixmap)1 (and the context drawable is a window)   the window shape is used for image alpha.
      Add some options:  -id <drawable> to grab other than root window.  -w/width       set output image width.  -h/height      set output image height.  -noshape       do not use window shape.  -help          show usage.  -v             show info about the grabbed drawable.
      Remove effectively unused actual_depth variable.
      Enable grabbing of ARGB drawables.
      Fix pixmap and gc caching when rendering to drawables with different depths.
      Enable setting alpha threshold used when rendering masks (was fixed 128).
      Set Release like most other places in the e17 tree. Remove XFree86-devel requirement causing trouble when using xorg.

Sebastian Dransfeld (2):
      Remove unused variables.
      EAPI

v1.2.2 - 2006-03-18
--------------------
Azundris (1):
      * update specs

Ben Rockwood (1):
      ID3 support is reported as MP3 support, which is confusing and perhaps misleading, updated reporting to be more accurate.

Carsten Haitzler (31):
      it's been a while, so it was time for some ASPARAGUS on our plates
      1. id3 album cover loader patches 2. i reduced list note memory usage by 20% - shoudl work better with malloc as ti is now a power of 2 as well 3. optimised evas internals to make use of event freezes to make e17'sw menu popups a LOT snappier 4. fixed using last member of list nodes - bad - shoudl use api as this is private stuff really 5. added config profile stuff to e17  u can literally maintain multiple config profiles and choose which one at any time etc.
      fix digikam crash
      dont modify alpha if img has no alpha
      this SHOULD fix cross-endianness issues (serve and client not same endianess) ...
      expand tmp image
      apps/e/enlightenment.spec CVS: apps/entice/configure.in apps/entrance/configure.in CVS: libs/ecore/configure.in libs/edb/configure.in libs/embryo/configure.in CVS: libs/emotion/configure.in libs/epeg/configure.in CVS: libs/epsilon/configure.in libs/esmart/configure.in CVS: libs/etox/configure.in libs/evas/configure.in libs/imlib2_loaders/configure.in CVS: ---------------------------------------------------------------------- ��������� :)
      2nd asapargus for the weekend :)
      ramkumar's id3 updates
      amd64 alignment fix
      id3 .spec additions
      include math! and stuff.
      a bit of asparagus action for shits & giggles
      asparagus!
      after some quiet on the western front - asparagus.
      asparagus. and make distcheck passes again.
      asparagus - again. lots fo leak fixes and other fixes have been happening, so i think an asparagus is a good idea - sorry package config people. :)
      imlib2 cross-endianess fix from Geoffrey Giesemann
      another amd64 name
      movdqa -> movdqu where appropriate
      bmp loader in cvs
      bmp loader in cvs
      tiff loader fix
      oops - typo. fix. works now.
      already in AUTHORS :)
      tiff patch - simon
      big fat asparagus!
      fix tiff off-by-1 pixel
      asparagus!!!
      asparagus!!!
      1.2.2 of imlib2 - for kwo :)

Horms (1):
      fix typos

Kim Woelders (7):
      Be quiet if the file is rejected because it doesn't have a .mp3 extension.
      Quiet.
      Bad fix - Revert.
      1) Quit silently if file doesn't exist. 2) Don't close if open failed (fixes segv).
      Avoid useless graphics exposure events from imlib_create_scaled_image_from_drawable().
      Another attempt to fix rendering of certain(?) fonts.
      Fix colormap when grabbing 8 bit depth pixmaps.

Michael Jennings (2):
      Thu Sep  1 16:53:13 2005                        Michael Jennings (mej)
      Thu Sep  8 17:12:14 2005                        Michael Jennings (mej)

Mike Frysinger (23):
      add error checking to all autogen scripts
      fix whitespace
      fixes from the PaX guys to make sure we dont have executable stacks
      make sure the masks are in the .data section like they should be
      merge PIC-happy code by PaX/Kevin Quinn/me
      ignore amd64 objects
      fix typo in IMMQ cleanup count as pointed out by Peter Beutner in Gentoo Bug 102519
      fix for cygwin building (and anyone else who doesnt define RTLD_LOCAL)
      cleanup x86/amd64 autofoo output
      allow users to control whether jpeg/png support
      sneak in a hack to remove CXX/F77 checks to improved configure speed
      allow user to control tiff/zlib/bzip2/id3 support
      touchup amd64/x86 asm handling, unify all the autodetection warnings, make gif support configurable, and default to giflib instead of old libungif
      fix by Tres Melton to address 64bit errors: dont cast pointers as ints, cast them as longs
      add a new helper macro by Tres Melton: IS_ALIGNED_128
      asm_loadimmq.S is included by other files, it isnt supposed to be compiled by itself
      only use GNU stack markings when generating ELF objects
      as pointed out by Quan, we need asm_loadimmq.S in EXTRA_DIST
      make sure people know the mmx support is 32bit only so it isnt for amd64
      touchup help output
      fix whitespace
      only declare do_mmx when it is needed
      move imlib_hash_size up in the code so we dont have to declare a prototype for internal usage

R.Ramkumar (2):
      Added documentation for tag id3-link-url Made the section on performance issues a bit clearer
      Removed some compiler warnings issued by gcc-4.0.1 on issues of signedness in comparison.

Ryan Little (1):
      make dist pkgs build again

Sebastian Dransfeld (13):
      Add asm_loadimmq.S to dist.
      sssh
      Silence
      Silence.
      If the version from config has something after x.y.z, drop it.
      * Add X headers if needed * Formatting
      Check for .dll extension on cygwin
      MIN and MAX is defined in common.h
      Add paranthesis to clean up.
      Remove unused variables.
      Remove unused variables. Remove signedness warning. Print pointers with %p
      Remove excessive strlen usage.
      Build fix.

